#include <iostream>
using namespace std;
int main()
{
    int n,m;
    cin >> n;
    cin >> m;
    int temp,niz[n][2],b=0,b1=0,b2=0;
    bool mat[n][m];
    for(int i=0;i<n;i++)
    {
        cin >> temp;
        if(temp<m/2)
        {
            b1++;
            for(int j=0;j<temp;j++)
                mat[i][j]=true;
            for(int j=temp;j<m;j++)
                mat[i][j]=false;
        }
        else if(temp>m/2)
        {
            b2++;
            for(int j=0;j<temp;j++)
                mat[i][j]=false;
            for(int j=temp;j<m;j++)
                mat[i][j]=true;
        }
        else
        {
            niz[b][0]=i;
            niz[b++][1]=temp;
        }
    }
    for(int i=0;i<b;i++)
    {
        if(b1>=b2)
        {
            for(int j=0;j<niz[i][1];j++)
                mat[niz[i][0]][j]=true;
            for(int j=niz[i][1];j<m;j++)
                mat[niz[i][0]][j]=false;
        }
        else
        {
            for(int j=0;j<niz[i][1];j++)
                mat[niz[i][0]][j]=false;
            for(int j=niz[i][1];j<m;j++)
                mat[niz[i][0]][j]=true;
        }
    }
    int rez=0;
    for(int i=0;i<m;i++)
    {
        b1=0;
        b2=0;
        for(int j=0;j<n;j++)
        {
            if(mat[j][i])
                b1++;
            else
                b2++;
        }
        rez+=b1*b2;
    }
    cout << rez;
    return 0;
}